Chapter 24. secscan
List and manage repository vulnerabilities and other security information.
24.1. getRepoManifestSecurity Copy linkLink copied to clipboard!
Get Repo Manifest Security.
24.1.1. GET /api/v1/repository/{repository}/manifest/{manifestref}/security Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:read)
24.1.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | manifestref required | The digest of the manifest | string |
24.1.3. Query parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| query | vulnerabilities optional | Include vulnerabilities informations | boolean |
24.1.4. Responses Copy linkLink copied to clipboard!
24.1.5. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
"https://quay-server.example.com/api/v1/repository/<namespace>/<repository>/manifest/<manifest_digest>/security?vulnerabilities=<true_or_false>"